Maccle

[Titanium] SDK 2.1.0.GAにアップデート後、モジュールの読み込みに失敗してビルドできない場合

約 2 分
[Titanium] SDK 2.1.0.GAにアップデート後、モジュールの読み込みに失敗してビルドできない場合

Titanium mobile SDK 2.0.2.GAから 2.1.0.GAにアップデートして、”tiapp.xml“の「Build properties」でターゲットのTitanium SDKも2.1.0.GAに変更してビルドしたところ、Titaniumのクラウドサービス用のモジュール「ti.cloud」が以下の警告とエラーが発生してビルドに失敗するようになってしまった。

[WARN] Could not find Titanium Module id: ti.cloud, version: 2.0.1, platform: commonjs
[ERROR] Could not find the following required iOS modules:
[ERROR] id: ti.cloud version: 2.0.1

これは、ti.cloudモジュールのCommonJSのバージョンが未指定になってしまっていることが原因。
ti.cloud
なので、”tiapp.xml“の「Modules」から “ti.cloud” を選んで鉛筆アイコンの編集ボタンを押して Module Propertiesを開き、抜けてしまっている CommonJS のバージョンを「2.1.0」に変更してビルドし直せばOK。

About The Author

某IT系なんちゃってエンジニアヨーダ
Apple好きだけど盲目マカーは気持ち悪いと思ってる中道だと思い込んでるしがないダメダメエンジニア。

今もってるApple製品↓
Macbook Pro 15 inch, iMac 27 inch (Late 2009), iPhone 6 Plus, iPad (初代! いらない!)
Follow :

Leave A Reply

*

Comment On Facebook